# Class: CredibleSetLZ

## LocusZoom_Adapters~CredibleSetLZ()

(extension) Custom data adapter that calculates the 95% credible set based on provided association data. This source must be requested as the second step in a chain, after a previous step that returns fields required for the calculation. (usually, it follows a request for GWAS summary statistics)

## Constructor

#### new CredibleSetLZ()

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`config.params.threshold` | Number | <optional> | 0.95 | The credible set threshold (eg 95%). Will continue selecting SNPs until the posterior probabilities add up to at least this fraction of the total.
`config.params.significance_threshold` | Number | <optional> | 7.301 | Do not perform a credible set calculation for this region unless AT LEAST ONE SNP (as -log10p) exceeds the line of GWAS signficance. Otherwise we are declaring a credible set when there is no evidence of anything being significant at all. If one snp is significant, it will create a credible set for the entire region; the resulting set may include things below the line of significance.

Source:
  - ext/lz-credible-sets.js, line 45
See:
  - module:ext/lz-credible-sets for required extension and installation instructions